Browse Source

remove xbsc-original-maintainer

new copyright format
new standards
refs #1103
master
Alf Gaida 7 years ago
parent
commit
04b4229f0d
7 changed files with 129 additions and 124 deletions
  1. 58
    58
      51-synaptics-siduction.conf
  2. 8
    0
      debian/changelog
  3. 5
    4
      debian/control
  4. 31
    29
      debian/copyright
  5. 25
    28
      debian/postinst
  6. 2
    0
      debian/rules
  7. 0
    5
      debian/source.lintian-overrides

+ 58
- 58
51-synaptics-siduction.conf View File

@@ -1,69 +1,69 @@
Section "InputClass"
Identifier "Synaptics class"
MatchProduct "SynPS/2"
MatchDevicePath "/dev/input/event*"
MatchIsTouchpad "on"
Driver "synaptics"
Option "TapButton1" "1"
Option "VertEdgeScroll" "true"
Option "MaxTapTime" "180"
Option "VertScrollDelta" "100"
Option "MaxTapMove" "220"
Identifier "Synaptics class"
MatchProduct "SynPS/2"
MatchDevicePath "/dev/input/event*"
MatchIsTouchpad "on"
Driver "synaptics"
Option "TapButton1" "1"
Option "VertEdgeScroll" "true"
Option "MaxTapTime" "180"
Option "VertScrollDelta" "100"
Option "MaxTapMove" "220"
EndSection

Section "InputClass"
Identifier "Alps class"
MatchProduct "AlpsPS/2"
MatchDevicePath "/dev/input/event*"
MatchIsTouchpad "on"
Driver "synaptics"
Option "TapButton1" "1"
Option "VertEdgeScroll" "true"
Option "CircScrollDelta" "0.1"
Option "EmulateMidButtonTime" "75"
Option "MaxTapTime" "180"
Option "CircularScrolling" "1"
Option "HorizScrollDelta" "20"
Option "VertScrollDelta" "20"
Option "UpDownScrolling" "1"
Option "CircScrollTrigger" "2"
Option "MaxTapMove" "110"
Identifier "Alps class"
MatchProduct "AlpsPS/2"
MatchDevicePath "/dev/input/event*"
MatchIsTouchpad "on"
Driver "synaptics"
Option "TapButton1" "1"
Option "VertEdgeScroll" "true"
Option "CircScrollDelta" "0.1"
Option "EmulateMidButtonTime" "75"
Option "MaxTapTime" "180"
Option "CircularScrolling" "1"
Option "HorizScrollDelta" "20"
Option "VertScrollDelta" "20"
Option "UpDownScrolling" "1"
Option "CircScrollTrigger" "2"
Option "MaxTapMove" "110"
EndSection

Section "InputClass"
Identifier "Elantech class"
MatchProduct "ETPS/2"
MatchDevicePath "/dev/input/event*"
MatchIsTouchpad "on"
Driver "synaptics"
Option "TapButton1" "1"
Option "VertEdgeScroll" "true"
Option "Emulate3Buttons" "off"
Option "CoastingSpeed" "0.13"
Option "LBCornerButton" "2"
Option "TapButton2" "2"
Option "CircularScrolling" "1"
Option "CircScrollTrigger" "8"
Option "HorizTwoFingerScroll" "1"
Option "VertTwoFingerScroll" "1"
Identifier "Elantech class"
MatchProduct "ETPS/2"
MatchDevicePath "/dev/input/event*"
MatchIsTouchpad "on"
Driver "synaptics"
Option "TapButton1" "1"
Option "VertEdgeScroll" "true"
Option "Emulate3Buttons" "off"
Option "CoastingSpeed" "0.13"
Option "LBCornerButton" "2"
Option "TapButton2" "2"
Option "CircularScrolling" "1"
Option "CircScrollTrigger" "8"
Option "HorizTwoFingerScroll" "1"
Option "VertTwoFingerScroll" "1"
EndSection

Section "InputClass"
Identifier "Appletouch class"
MatchProduct "appletouch"
MatchDevicePath "/dev/input/event*"
MatchIsTouchpad "on"
Driver "synaptics"
Option "TapButton1" "1"
Option "VertEdgeScroll" "true"
Option "TapButton2" "2"
Option "HorizEdgeScroll" "0"
Option "TapButton3" "3"
Option "PressureMotionMinZ" "10"
Option "MaxTapTime" "100"
Option "HorizScrollDelta" "10"
Option "VertScrollDelta" "10"
Option "MaxTapMove" "20"
Option "HorizTwoFingerScroll" "0"
Option "VertTwoFingerScroll" "1"
Identifier "Appletouch class"
MatchProduct "appletouch"
MatchDevicePath "/dev/input/event*"
MatchIsTouchpad "on"
Driver "synaptics"
Option "TapButton1" "1"
Option "VertEdgeScroll" "true"
Option "TapButton2" "2"
Option "HorizEdgeScroll" "0"
Option "TapButton3" "3"
Option "PressureMotionMinZ" "10"
Option "MaxTapTime" "100"
Option "HorizScrollDelta" "10"
Option "VertScrollDelta" "10"
Option "MaxTapMove" "20"
Option "HorizTwoFingerScroll" "0"
Option "VertTwoFingerScroll" "1"
EndSection

+ 8
- 0
debian/changelog View File

@@ -1,3 +1,11 @@
udev-config-siduction (2014.01.08) unstable; urgency=medium

* remove xbsc-original-maintainer
* new copyright format
* new standards

-- Alf Gaida <agaida@siduction.org> Wed, 08 Jan 2014 19:17:16 +0100

udev-config-siduction (0.12.2) unstable; urgency=low

* debian/source.lntian-overrides added to get rid of XSBC-Original-Maintainer

+ 5
- 4
debian/control View File

@@ -3,18 +3,19 @@ Section: admin
Priority: extra
Maintainer: Ferdinand Thommes <devil@siduction.org>
Uploaders: Alf Gaida <agaida@siduction.org>
XSBC-Orignal-Maintainer: Stefan Lippers-Hollmann <s.l-h@gmx.de>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Standards-Version: 3.9.5
Vcs-Git: git://git.siduction.org/packages/siduction-repository/udev-config-siduction.git
Vcs-Browser: http://git.siduction.org/?p=packages/siduction-repository/udev-config-siduction.git
Homepage: http://svn.berlios.de/wsvn/fullstory/udev-config-aptosid/

Package: udev-config-siduction
Architecture: all
Depends: ${misc:Depends},
Depends:
${misc:Depends},
udev (>= 0.091-1)
Breaks: xserver-xorg-core (<< 2:1.7.6.901-2)
Breaks:
xserver-xorg-core (<< 2:1.7.6.901-2)
Description: custom udev configurations for udev
Configure PCI IDs and udev events needed by siduction.
.

+ 31
- 29
debian/copyright View File

@@ -1,29 +1,31 @@
This package was debianized by Stefan Lippers-Hollmann <s.l-h@gmx.de> on
Sat, 15 Oct 2005 13:24:29 +0200.

Forked by Ferdinand Thommes <devil@siduction.org> for siduction.

It was downloaded from http://developer.berlios.de/projects/fullstory/

Copyright Holders:
Copyright © 2011 Ferdinand Thommes <devil@siduction.org>
Copyright © 2005-2010 Stefan Lippers-Hollmann <s.l-h@gmx.de>

License:

This package is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This package is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this package; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

On Debian systems, the complete text of the GNU General
Public License can be found in `/usr/share/common-licenses/GPL-2'.
Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: udev-config-siduction
Source: <http://developer.berlios.de/projects/fullstory/>

Files: *
Copyright: 2011 Ferdinand Thommes <devil@siduction.org>
2005-2010 Stefan Lippers-Hollmann <s.l-h@gmx.de>
License: GPL-2.0+

Files: debian/*
Copyright: 2012-2014 Alf Gaida <agaida@siduction.org>
2011 Ferdinand Thommes <devil@siduction.org>
2005-2010 Stefan Lippers-Hollmann <s.l-h@gmx.de>
License: GPL-2.0+

License: GPL-2.0+
This package is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
.
This package is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
.
You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>
.
On Debian systems, the complete text of the GNU General
Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".

+ 25
- 28
debian/postinst View File

@@ -1,40 +1,37 @@
#! /bin/sh

set -e

case "$1" in
configure)
# clean up eventually left over /usr/sbin/policy-rc.d, which
# might not have been cleaned up correctly by
# fll-installer << 0.5.12.
if [ -f /usr/sbin/policy-rc.d ] && \
[ -z "$(dpkg-divert --list /usr/sbin/policy-rc.d)" ] && \
[ "x$(md5sum -b /usr/sbin/policy-rc.d | awk '{print $1}')" = "x2f31905d39c6a4ed28a9217decbb7208" ]; then
rm -f /usr/sbin/policy-rc.d
fi
configure)
# clean up eventually left over /usr/sbin/policy-rc.d, which
# might not have been cleaned up correctly by
# fll-installer << 0.5.12.
if [ -f /usr/sbin/policy-rc.d ] && \
[ -z "$(dpkg-divert --list /usr/sbin/policy-rc.d)" ] && \
[ "x$(md5sum -b /usr/sbin/policy-rc.d | awk '{print $1}')" = "x2f31905d39c6a4ed28a9217decbb7208" ]; then
rm -f /usr/sbin/policy-rc.d
fi

if [ -r /etc/default/rcS ]; then
. /etc/default/rcS
if [ -n "$CONCURRENCY" ] && \
[ ! "$CONCURRENCY" = "makefile" ] && \
[ ! "$CONCURRENCY" = "none" ]; then
sed -i "/^CONCURRENCY\=/d" /etc/default/rcS
fi
fi
;;
if [ -r /etc/default/rcS ]; then
. /etc/default/rcS
if [ -n "$CONCURRENCY" ] && \
[ ! "$CONCURRENCY" = "makefile" ] && \
[ ! "$CONCURRENCY" = "none" ]; then
sed -i "/^CONCURRENCY\=/d" /etc/default/rcS
fi
fi
;;

abort-upgrade|abort-remove|abort-deconfigure)
:
;;
abort-upgrade|abort-remove|abort-deconfigure)
;;

*)
echo "postinst called with unknown argument \`$1'" >&2
exit 1
;;
*)
echo "postinst called with unknown argument \`$1'" >&2
exit 1
;;
esac

# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.

#DEBHELPER#

exit 0

+ 2
- 0
debian/rules View File

@@ -1,4 +1,6 @@
#!/usr/bin/make -f

DH_VERBOSE=1

%:
dh $@

+ 0
- 5
debian/source.lintian-overrides View File

@@ -1,5 +0,0 @@
# tell lintian not to complain about the XSBC-Original-Maintainer
# Everything can be an X-Field. And the original maintainer should
# be standard
udev-config-siduction: unknown-field-in-dsc orignal-maintainer


Loading…
Cancel
Save